Bug 91557 - (SOUND AC97_CODEC)2.4.20-13.8 kernel update (from 2.4.18-27.8.0) breaks sound
(SOUND AC97_CODEC)2.4.20-13.8 kernel update (from 2.4.18-27.8.0) breaks sound
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 91242 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 20:02 EDT by Kwan Lowe
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for SI7012 mute issue (955 bytes, patch)
2003-06-05 11:40 EDT, Alan Cox
no flags Details | Diff

  None (edit)
Description Kwan Lowe 2003-05-23 20:02:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Updating to the kernel-2.4.20-13.8.athlon has broken the i810 sound on an ECS
K7S5A motherboard (Athlon XP, Sis7012 sound). Dropping back to the 2.4.18-27.8.0
kernel allows sound to play normally.

dmesg reports the following:
i810: SiS 7012 found at IO 0xd800 and 0xdc00, MEM 0x0000 and 0x0000, IRQ 10
i810_audio: Audio Controller supports 2 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
ac97_codec: AC97  codec, id: CMI65 (CMedia)
AC97 codec does not have proper volume support.
i810_audio: only 48Khz playback available.
i810_audio: AC'97 codec 0 Unable to map surround DAC's (or DAC's not present),
total channels = 2

/etc/modules.conf shows:
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :






Version-Release number of selected component (if applicable):
kernel-2.4.20-13.8.athlon

How reproducible:
Always

Steps to Reproduce:
1. Install kernel update to 2.4.20-13.8.athlon
2. Reboot
3. Attempt to play sound through xmms, mpg123, etc..
    

Actual Results:  No sound... It should be noted that the player applications
(including ALSA, esound, OSS) think that the device is functioning normally.
Visualization plugins will function and there are no errors. However, the
speakers are silent. When adjusting the volume sliders in Aumix or Volume
Control I can hear a clicking sound but nothing else.

Expected Results:  Blessed sounds of a Mozart piano concerto should have filled
the room.

Additional info:

This also fails on RH9 running the latest kernel based on the 2.4.20 series.
Comment 1 Alan Cox 2003-06-05 11:39:52 EDT
I've fixed this problem in the -ac tree and set Marcelo a fix for it. 

Comment 2 Alan Cox 2003-06-05 11:40:38 EDT
Created attachment 92170 [details]
Fix for SI7012 mute issue
Comment 3 Alan Cox 2003-06-05 11:48:47 EDT
*** Bug 91242 has been marked as a duplicate of this bug. ***
Comment 4 Kwan Lowe 2003-07-26 14:27:40 EDT
Sound is again working in kernel-2.4.20-19.8. Thanks!
Comment 5 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.